"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextReadyHealthCheck = void 0;
const Lifecycle_1 = require("../ioc/Lifecycle");
const Decorators_1 = require("../ioc/Decorators");
const HealthCheck_1 = require("./HealthCheck");
let ContextReadyHealthCheck = class ContextReadyHealthCheck extends HealthCheck_1.HealthCheck {
    constructor() {
        super('context', 5000);
    }
    getType() {
        return HealthCheck_1.HealthCheckType.CONTEXT;
    }
    async doCheck() {
        if (!this.context) {
            return new HealthCheck_1.HealthCheckResult(HealthCheck_1.HealthCheckStatus.NOT_READY, `Context not wired`);
        }
        const contextStatus = this.context.getStatus();
        if (contextStatus === Lifecycle_1.LifecycleState.NOT_STARTED || contextStatus === Lifecycle_1.LifecycleState.STARTING) {
            return new HealthCheck_1.HealthCheckResult(HealthCheck_1.HealthCheckStatus.NOT_READY, `Context not ready. Still in status: ${contextStatus.getName()}`);
        }
        else if (contextStatus === Lifecycle_1.LifecycleState.STARTED) {
            return new HealthCheck_1.HealthCheckResult(HealthCheck_1.HealthCheckStatus.OK, `Context STARTED`);
        }
        else {
            return new HealthCheck_1.HealthCheckResult(HealthCheck_1.HealthCheckStatus.STOPPING, `Context STOPPING`);
        }
    }
};
__decorate([
    Decorators_1.AutowireContext
], ContextReadyHealthCheck.prototype, "context", void 0);
ContextReadyHealthCheck = __decorate([
    HealthCheck_1.RegisterAsHealthCheck
], ContextReadyHealthCheck);
exports.ContextReadyHealthCheck = ContextReadyHealthCheck;
//# sourceMappingURL=ContextReadyHealthCheck.js.map