"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JwtTokenClient = void 0;
const jwt = require("jsonwebtoken");
const config = require("config");
function assert(predicate, message) {
    if (!predicate) {
        throw new Error(message);
    }
}
class JwtTokenClient {
    verify(token, options) {
        if (!options) {
            options = { algorithms: ['HS256'] };
        }
        const secret = config.get('authentication.jwt.secret');
        assert(secret, 'No secret found');
        return jwt.verify(token, secret, options);
    }
    sign(payload, options) {
        if (!options) {
            options = { algorithm: 'HS256' };
        }
        const secret = config.get('authentication.jwt.secret');
        assert(secret, 'No secret found');
        return jwt.sign(payload, secret, options);
    }
}
exports.JwtTokenClient = JwtTokenClient;
//# sourceMappingURL=JwtTokenClient.js.map