export declare const CPUOSMetricNames: string[];
export declare const LoadOSMetricNames: string[];
export declare class OSMetrics {
    load15: number;
    load5: number;
    load1: number;
    ctxtSwaps: number;
    steal: number;
    softirq: number;
    irq: number;
    iowait: number;
    idle: number;
    system: number;
    nice: number;
    user: number;
}
export declare class OSMetricsService {
    procLoadAvgExists: boolean;
    procStatExists: boolean;
    procStatContentReader: () => string;
    procLoadAvgContentReader: () => string;
    constructor();
    readCPUStat(oSMetrics: OSMetrics): void;
    parseCPUStatFile(fileContent: string, oSMetrics: OSMetrics): void;
    readLoadAvg(oSMetrics: OSMetrics): void;
    parseLoadAvgFile(fileContent: string, oSMetrics: OSMetrics): void;
    parseCPUStatLine(line: string, oSMetrics: OSMetrics): void;
    getOSMetrics(): OSMetrics;
}
