/// <reference types="handlebars" />
export interface SwaggerMetadataMiddlewareConfig {
    swaggerFilePath: string;
    apiKey: string;
    swagger?: any;
    logger?: Logger;
}
export default class SwaggerMetadataMiddleware {
    swagger: object;
    swaggerFile: string;
    logger: any;
    private apiKey;
    /**
     * Creates an instance of the Inceptum Swagger middleware.
     * This middleware injects into each request the metadata that is appropriate for this request
     * from the swagger file. Also, it will parse the parameters and body of the request.
     * It will NOT validate the request or the response.
     * @param object config The configuration to use for this Middleware instance
     * @param [any] config.swagger If provided, this is the swagger loaded as an object
     * @param [string] config.swaggerFilePath Required if config.swagger is not passed directly.
     * The location of the swagger yaml file
     */
    constructor(config: SwaggerMetadataMiddlewareConfig);
    loadSwagger(config: any): void;
    jwtHandler(req: any, authOrSecDef: any, scopesOrApiKey: any, callback: any): any;
    register(expressApp: any): Promise<void>;
}
