"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtendedError = void 0;
class ExtendedError extends Error {
    constructor(message, cause) {
        super(message);
        this.name = this.constructor.name;
        this.causingError = cause;
    }
    getStructuredStackTrace() {
        if (this.stack.length === 0) {
            return [];
        }
        return this.structuredStackTrace;
    }
    cause() {
        return this.causingError;
    }
}
exports.ExtendedError = ExtendedError;
const original = Error.prepareStackTrace;
if (original) {
    // console.log('Here');
    global.Error.prepareStackTrace = (error, structuredStackTrace) => {
        error.structuredStackTrace = structuredStackTrace;
        return original(error, structuredStackTrace);
    };
}
//# sourceMappingURL=ErrorUtil.js.map