"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const e = require("express");
const LogManager_1 = require("../log/LogManager");
const logger = LogManager_1.LogManager.getLogger(__filename);
class AdminPortPlugin {
    constructor() {
        this.name = 'AdminPortPlugin';
    }
    willStart(app, pluginContext) {
        const express = e();
        pluginContext.set(AdminPortPlugin.CONTEXT_APP_KEY, express);
        const context = app.getContext();
    }
    didStart(app, pluginContext) {
        const express = pluginContext.get(AdminPortPlugin.CONTEXT_APP_KEY);
        const port = app.getConfig('app.admin.port', 3001);
        // Start the server
        const server = express.listen(port, () => {
            app.logger.info(`Admin server started at http://localhost:${port}`);
        });
        pluginContext.set(AdminPortPlugin.CONTEXT_SERVER_KEY, server);
    }
    didStop(app, pluginContext) {
        const express = pluginContext.get(AdminPortPlugin.CONTEXT_SERVER_KEY);
        app.logger.info('Shutting down admin server');
        express.close();
    }
}
exports.default = AdminPortPlugin;
AdminPortPlugin.CONTEXT_APP_KEY = 'AdminPortPlugin/APP';
AdminPortPlugin.CONTEXT_SERVER_KEY = 'AdminPortPlugin/SERVER';
//# sourceMappingURL=AdminPortPlugin.js.map