"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ErrorUtil_1 = require("../util/ErrorUtil");
class HttpError extends ErrorUtil_1.ExtendedError {
    constructor(statusCode, message, cause) {
        super(message, cause);
        this.statusCode = statusCode;
    }
    getStatusCode() {
        return this.statusCode;
    }
    static notFound(message) {
        return new HttpError(404, message);
    }
}
exports.default = HttpError;
//# sourceMappingURL=HttpError.js.map