"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConflictError = void 0;
const HttpError_1 = require("../HttpError");
/**
 * 409 Conflict
 * The request could not be completed due to a conflict with the current state of the resource.
 * This code is only allowed in situations where it is expected that the user might be able to resolve
 * the conflict and resubmit the request.
 */
class ConflictError extends HttpError_1.default {
    constructor(message, cause) {
        super(409, message, cause);
    }
}
exports.ConflictError = ConflictError;
//# sourceMappingURL=ConflictError.js.map