"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnauthorizedError = void 0;
const HttpError_1 = require("../HttpError");
/**
 * 401 Unauthorized
 * Although the HTTP standard specifies "unauthorized",
 * semantically this response means "unauthenticated".
 * That is, the client must authenticate itself to get the requested response.
 */
class UnauthorizedError extends HttpError_1.default {
    constructor(message, cause) {
        super(401, message, cause);
    }
}
exports.UnauthorizedError = UnauthorizedError;
//# sourceMappingURL=UnauthorizedError.js.map